Get Operation Assets
GET
/v1/portal/control-plane/operation-assets
const url = 'https://example.com/v1/portal/control-plane/operation-assets?tenant_id=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/portal/control-plane/operation-assets?tenant_id='Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalRuntimeAssetPlaneOut
object
checked_at
Checked At
string
default_asset_id
Default Asset Id
string
default_browser_asset_id
Default Browser Asset Id
string
preferred_asset_id
Preferred Asset Id
string
runtime_assets
Runtime Assets
Array<object>
PortalRuntimeAssetOutobject
asset_id
required
Asset Id
string
title
required
Title
string
summary
Summary
string
kind
Kind
string
role
Role
string
ready
Ready
boolean
status_label
Status Label
string
status_detail
Status Detail
string
entry_url
Entry Url
string
launch_url
Launch Url
string
manage_url
Manage Url
string
executor_url
Executor Url
string
recommended_for
Recommended For
Array<string>
capabilities
Capabilities
Array<string>
next_actions
Next Actions
Array<string>
permission_hints
Permission Hints
Array<string>
actions
Actions
Array<object>
PortalScenarioActionOutobject
label
required
Label
string
url
required
Url
string
kind
Kind
string
checks
Checks
Array<object>
PortalRuntimeAssetCheckOutobject
check_key
required
Check Key
string
label
required
Label
string
status
Status
string
detail
Detail
string
notes
Notes
Array<string>
Example
{ "checked_at": "", "default_asset_id": "", "default_browser_asset_id": "", "preferred_asset_id": "", "runtime_assets": [ { "summary": "", "kind": "", "role": "", "ready": false, "status_label": "", "status_detail": "", "entry_url": "", "launch_url": "", "manage_url": "", "executor_url": "", "actions": [ { "kind": "link" } ], "checks": [ { "status": "unknown", "detail": "" } ] } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}